/*
 * Ejercicio 2: mostrar el resultado contrario del ejercicio 1
 */

const int pinLED = 5;        // pin para el LED
const int pinPulsador = 10;  // pin para el pulsador

void setup() {
  pinMode(pinLED, OUTPUT);             // ponemos el pin del LED como salida
  pinMode(pinPulsador, INPUT_PULLUP);  // ponemos el pin del pulsador como entrada PULL-UP
}

void loop() {
  int lectura;                         // declaramos una variable para guardar nuestras lecturas
  lectura = digitalRead(pinPulsador);  // leemos el valor del pin del pulsador

  /*
  // Opción 1: podríamos simplemente invertir el valor leído y continuar como antes:
  lectura = ! lectura;  // es idéntico a lectura = not lectura;
  digitalWrite(pinLED, lectura); // ponemos en el LED el nuevo valor
  */

  // Opción 2: usamos un condicional para hacerlo nosotros
  if (lectura == 0)  //comparamos si el valor leído es igual a 0
  {
    // el botón está pulsado y encendemos el LED
    digitalWrite(pinLED, HIGH);  // mandamos 5V al LED
  } else                         // en caso contrario
  {
    // el botón no está pulsado, apagamos el LED
    digitalWrite(pinLED, LOW);  // mandamos 0V al LED
  }
}
